import { ElementRef, OnDestroy, Renderer2 } from "@angular/core";
export declare class AgendaHalfHourCellComponent implements OnDestroy {
    private _renderer;
    currentTimeElement: ElementRef;
    set date(value: Date);
    get date(): Date;
    showLabel: boolean;
    showCurrentTime: boolean;
    currentTimeTop: number;
    id: string;
    private _date;
    private _id;
    constructor(_renderer: Renderer2);
    ngOnDestroy(): void;
    private _checkDate;
    private _checkWorkingDayStart;
    private _positionCurrentTime;
}
